package routers

import (
	"bigdata_archives/app/controller"
	"github.com/gin-gonic/gin"
)

func SystemRouter(r *gin.Engine) {
	group := r.Group("/api")
	group.GET("/setting", controller.GetSystemSetting)
	group.POST("/setting", controller.CreateSystem)
	group.PUT("/setting", controller.UpdateSystem)
	group.DELETE("/setting", controller.DeleteSystem)
}
