package service

import (
	"bigdata_archives/app/e"
	"bigdata_archives/app/model"
)

type SystemSettings interface {
	GetSystemSettings() (model.SystemSettings, e.Rescode)
	UpdateSystemSettings(systemSettings model.SystemSettings) (model.SystemSettings, e.Rescode)
	CreateSystemSettings(systemSettings model.SystemSettings) (model.SystemSettings, e.Rescode)
	DeleteSystemSettings(id int) (model.SystemSettings, e.Rescode)
}
